Debian Bug report logs - #291787
xterm: selection is cleared by scrolling

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Andrew Pimlott <andrew@pimlott.net>

Date: Sun, 23 Jan 2005 06:33:02 UTC

Severity: normal

Tags: upstream

Found in version 4.1.0-16woody5

Fixed in version xfree86/4.3.0.dfsg.1-11

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#291787; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: selection is cleared by scrolling
Date: Sat, 22 Jan 2005 22:16:45 -0800
Package: xterm
Version: 4.1.0-16woody5
Severity: normal

First, I want to say I couldn't be more pleased by the recent effort
(bug 277832) to improve selection handling.  The new behavior is
generally quite pleasant.  However, there appears to be a significant
regression.  Any time the terminal scrolls (by which I mean, a newline
is received when the cursor is at the bottom, not scrolling of the view
with shift-pgup), the selection is cleared.  To reproduce:

    1.  Open an xterm.
    2.  Press enter enough times to get the cursor to the bottom of the
        screen.
    3.  Select something.
    4.  Press return to scroll one line.  The selection is cleared.

I'm not sure exactly which version introduced this behavior, but I'm
guessing it was a side-effect of fixing bug 277832.  I've verified that
in 4.1.0-16woody5, the selection remains in step 4.

Andrew

-- System Information:
Debian Release: 3.0
  APT prefers unstable
  APT policy: (600, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686-smp
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  debconf                  1.4.42          Debian configuration management sy
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libfreetype6             2.1.7-2.3       FreeType 2 font engine, shared lib
ii  libncurses5              5.4-4           Shared libraries for terminal hand
ii  libxaw7                  4.1.0-16woody5  X Athena widget set library
ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu

-- debconf information:
  xterm/xterm_needs_devpts:
  xterm/clobber_xresource_file: true



Message sent on to Andrew Pimlott <andrew@pimlott.net>:
Bug#291787. Full text and rfc822 format available.

Message #8 received at 291787-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 291787-submitter@bugs.debian.org
Subject: Re: Bug#291787: xterm: selection is cleared by scrolling
Date: Sun, 23 Jan 2005 07:18:43 -0500
[Message part 1 (text/plain, inline)]
On Sun, Jan 23, 2005 at 07:40:08AM +0100, Andrew Pimlott wrote:
> Package: xterm
> Version: 4.1.0-16woody5
> Severity: normal
> 
> First, I want to say I couldn't be more pleased by the recent effort
> (bug 277832) to improve selection handling.  The new behavior is
> generally quite pleasant.  However, there appears to be a significant
> regression.  Any time the terminal scrolls (by which I mean, a newline
> is received when the cursor is at the bottom, not scrolling of the view
> with shift-pgup), the selection is cleared.  To reproduce:

hmm - that's right.  It's unintended behavior (will fix).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Pimlott <andrew@pimlott.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 291787-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 291787-close@bugs.debian.org
Subject: Bug#291787: fixed in xfree86 4.3.0.dfsg.1-11
Date: Sat, 12 Feb 2005 06:03:51 -0500
Source: xfree86
Source-Version: 4.3.0.dfsg.1-11

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-11_powerpc.deb
libdps-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-11_powerpc.deb
libdps1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libdps1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-11_powerpc.deb
libice-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-11_powerpc.deb
libice6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libice6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-11_powerpc.deb
libsm-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-11_powerpc.deb
libsm6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libsm6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-11_powerpc.deb
libx11-6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libx11-6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-11_powerpc.deb
libx11-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-11_powerpc.deb
libxaw6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxaw6-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-11_powerpc.deb
libxaw6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-11_powerpc.deb
libxaw7-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxaw7-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-11_powerpc.deb
libxaw7_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-11_powerpc.deb
libxext-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-11_powerpc.deb
libxext6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxext6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-11_powerpc.deb
libxft1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxft1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-11_powerpc.deb
libxi-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-11_powerpc.deb
libxi6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxi6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-11_powerpc.deb
libxmu-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-11_powerpc.deb
libxmu6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxmu6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-11_powerpc.deb
libxmuu-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-11_powerpc.deb
libxmuu1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxmuu1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-11_powerpc.deb
libxp-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-11_powerpc.deb
libxp6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxp6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-11_powerpc.deb
libxpm-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-11_powerpc.deb
libxpm4-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxpm4_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-11_powerpc.deb
libxrandr-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-11_powerpc.deb
libxrandr2-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxrandr2_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-11_powerpc.deb
libxt-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-11_powerpc.deb
libxt6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxt6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-11_powerpc.deb
libxtrap-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-11_powerpc.deb
libxtrap6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxtrap6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-11_powerpc.deb
libxtst-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-11_powerpc.deb
libxtst6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxtst6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-11_powerpc.deb
libxv-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-11_powerpc.deb
libxv1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxv1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-11_powerpc.deb
pm-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-11_all.deb
proxymngr_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-11_powerpc.deb
twm_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-11_powerpc.deb
x-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-11_all.deb
x-window-system-core_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-11_powerpc.deb
x-window-system-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-11_powerpc.deb
x-window-system_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-11_all.deb
xbase-clients_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-11_powerpc.deb
xdm_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-11_powerpc.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-11_all.deb
xfonts-100dpi_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-11_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-11_all.deb
xfonts-75dpi_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-11_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-11_all.deb
xfonts-base_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-11_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-11_all.deb
xfonts-scalable_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-11_all.deb
xfree86-common_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-11_all.deb
xfree86_4.3.0.dfsg.1-11.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-11.diff.gz
xfree86_4.3.0.dfsg.1-11.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-11.dsc
xfs_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-11_powerpc.deb
xfwp_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-11_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-dri_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-gl_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-glu_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa3-dbg_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-11_all.deb
xlibmesa3_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-11_powerpc.deb
xlibosmesa-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibosmesa4_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-11_powerpc.deb
xlibs-data_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-11_all.deb
xlibs-dbg_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-11_all.deb
xlibs-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-11_all.deb
xlibs-pic_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-11_all.deb
xlibs-static-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibs-static-pic_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-11_powerpc.deb
xlibs_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-11_all.deb
xmh_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-11_powerpc.deb
xnest_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-11_powerpc.deb
xserver-common_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-11_powerpc.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-11_powerpc.deb
xserver-xfree86_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-11_powerpc.deb
xspecs_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-11_all.deb
xterm_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-11_powerpc.deb
xutils_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-11_powerpc.deb
xvfb_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-11_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291787@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Feb 2005 02:14:27 -0500
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source powerpc all
Version: 4.3.0.dfsg.1-11
Distribution: unstable
Urgency: medium
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries dummy package
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries dummy package
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries dummy package
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Keyboard Extension (XKB) configuration data and metapackage
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries dummy package
 xlibs-dev  - X Window System client library development files dummy package
 xlibs-pic  - XFree86 static PIC libraries dummy package
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 141347 173565 213076 217505 229850 232357 233551 253480 266274 267503 277699 277832 279252 282760 283764 284025 285222 285396 286068 286164 286181 286268 286667 287612 289508 290935 291243 291722 291787 294320
Changes: 
 xfree86 (4.3.0.dfsg.1-11) unstable; urgency=medium
 .
   * Urgency set to medium due to fix for release-critical bug #286181
     (xvfb-run broken; see below).
 .
   Changes by Denis Barbier:
 .
   * The loading of srvr_ctrl(xfree86) symbol definitions for Sun keyboards
     was broken and made such keyboards unusable.  (Closes: #286268)
 .
   * Make keypad delete key <KPDL> generate KP_Separator, not comma, in
     Brazilian XKB layouts (thanks, Rafael Ávila de Espíndola).  Update patch
     #099z_xkb_level3_ralt_switch.  (Closes: #286667)
 .
   * The basic variant of 'us' layout was not displayed by kxkb because its
     'hidden' attribute was wrongly set.  Thanks, Frans Pop!  (Closes: #290935)
 .
   Changes by Branden Robinson:
 .
   * Overhaul Xnest(1x) manpage.  Among other cleanups:
     + Fix documented syntax of the "-geometry" option's argument.
       (Closes: #282760)
 .
   * Drop run_parts() function in Xsession scripts in favor of "run-parts
     --list".  Update Xsession(5) manual page accordingly.  Increment
     xfree86-common's versioned dependency on debianutils from (>= 1.13) to
     (>= 1.16.9).  (Closes: #283764)
 .
   * Expand and update uxterm(1x) manual page.
 .
   * Implement koi8rxterm, a uxterm-like wrapper for KOI8-R locales.  Ship
     script, manual page, and app-defaults file.  Update MANIFEST files.
     Update xterm's package description and add a Suggests: on xfonts-cyrillic.
     Register koi8rxterm as x-terminal-emulator alternative (priority of 20,
     same as xterm itself).  Deregister koi8rxterm as alternative when the
     package is removed.  (Closes: #173565)
 .
   * Implement lxterm, a simple wrapper that chooses whether to launch xterm,
     koi8rxterm, or uxterm based on the output of "locale charmap".  Ship
     script and manual page.  Update MANIFEST files.  Update xterm's package
     description.  Register lxterm as an x-terminal emulator alternative,
     giving it a priority of 30.  Lower uxterm's alternative priority to 20.
     Deregister lxterm as an alternative when the package is removed.
     (Closes: #279252)
 .
   * Apply patch from Bjorn Helgaas to fix SEGV in ati/radeon driver that
     occurs when RADEONQueryConnectedDisplays() calls vbeDoEDID() but the
     latter function returns NULL.  Thanks, Bjorn!  (Closes: #284025)
 .
   * Tighten the OSMesa library's dependencies on Mesa, because OSMesa depends
     on private _glapi* functions exported only by the Mesa version of the GL
     library.  Add exact versioned dependency of xlibosmesa4 on "xlibmesa-gl (=
     ${Source-Version)", and replace xlibosmesa-dev's dependency on "libgl-dev"
     with "xlibmesa-gl-dev (= ${Source-Version).  Thanks to Marcelo Magallon
     for pointing this out.  (Closes: #287612)
 .
   * Apply Jan Wilhelm Stumpel's fix for the en_US.UTF-8 Compose map in
     4.3.0.dfsg.1-9 to pt_BR.UTF-8 as well.
 .
   * Add FAQ entry: How can I set up my X server or X terminal to use XKB
     without any X libraries or XKB data installed?
 .
   * Remove broken hyperlink to freedesktop.org in the FAQ.  Thanks to Loïc
     Minier for pointing this out.  (Closes: #285222)
 .
   * Update information in the FAQ regarding problems GNU Emacs, XEmacs,
     Openbox, and Sawfish have with XKB's "fake keys".  Retitle entry from "My
     keyboard configuration worked with XFree86 4.2; why is it messed up now?"
     to "My keyboard configuration worked with previous versions of XFree86;
     why is it messed up now?  For example, my Windows keys don't work right in
     Emacs or my window manager anymore."
 .
   * Remove spurious quotes from variable expansions of $XVFBARGS and
     $LISTENTCP in xvfb-run.  Thanks to Jeff Lessem for the patch!
     (Closes:# 286181)
 .
   * Add patch by Timothy Baldwin to evdev support to fix broken backslash
     keys.  (Closes: #266274)
 .
   * Fix xserver-xfree86's configure script to not die if Discover 1.x's
     discover command segfaults.  Thanks to Kyle McMartin for reporting this
     problem and testing the fix.  (Closes: #291722)
 .
   * Add more cleanups and enchancements to xdm in patch #002:
     + Actually attempt to write data to the auth file in
       SaveServerAuthorizations(); that way we detect problems like ENOSPC
       (full filesystem, user over quota) early enough to do something about
       it.  (Closes: #217505, #253480)
     + Add comments documenting race-based symlink attack prevention
       techniques when creating files.
     + Add more detailed debugging and logging of errors when replacing
       authorization files in SetUserAuthorization() and
       RemoveUserAuthorization().
     + Add RemovePid() function (which removes the pidFile), and register it
       with atexit().  (Closes: #213076)
     + Add more debugging to execute().
     + Use the term "process ID" instead of "process-id".
 .
   * Add more clearnups and enhancements to xfs in patch #003b:
     + Add RemovePid() function which removes the process ID file, and register
       it with atexit() so that it is automatically invoked when xfs exits.
     + Refer to "user ID" and "process ID" in diagnostic messages, not "userid"
       and "process-id".
     + Add "FUTURE DIRECTIONS" section to manpage.
     + Perform massive cleanup and reformatting of manpage.
 .
   * Update the stillrunning() function in xdm's and xfs's init scripts to
     remove a known-stale /var/run/{xdm,xfs}.pid file if it is present.  Stop
     removing the daemon-not-stopped file, as code removing it is run
     elsewhere.  Stop forcing the script to exit if given the "stop" argument
     and the daemon is assumed to not be running due to no process ID file
     being found (this would cause "restart" to fail to start the daemon in
     this case).  Remove the "daemon-not-stopped" flag file if asked to stop
     the daemon and it either appears to not be running, or was successfully
     stopped.  Update and clarify comments in xdm's and xfs's init script.
 .
   * Fix typo in German debconf template translations.  Thanks, Georg Neis!
     (Closes: #289508)
 .
   * Permit lower pixel clocks (less than 17.75 MHz, but greater than 12 MHz)
     on older (Millenium, Mystique) Matrox cards.  Thanks to Jan Gorski for
     supplying information (updates fix for #261993).
 .
   * Fix the tdfx driver to stop failing to explain why some modes are
     rejected.  If TDFXValidMode() would return MODE_BAD, use xf86DrvMsg() to
     document the reason.
 .
   * Fix xlsfonts, xprop, xwd, and xwininfo to not bleat a usage message when
     XOpenDisplay() fails.  Being unable to connect to the X server is an
     operational error, not a user-input error.
 .
   * Add patch from Manoj Srivastava that implements support for SELinux in
     imake and xdm.  (Note that this patch only adds source-level support, and
     does not actually enable it.)  Thanks, Manoj!  (Closes: #233551)
 .
   * Update patch #007 to fix the problem with XFree86-authored manpages
     reporting "Version Version ..." in the footer.
 .
   * Update XTerm to patch #200 (2005-02-06) from Thomas Dickey's website.
     + Make active-icon work properly when TrueType fonts are used.
       (Closes: #286068)
     + Fix a regression from patch #197 which disowned the selection if it was
       scrolled, e.g., by the user pressing return at the bottom of the screen.
       (Closes: #277832, #291787)
     Resync patches #059, #803, and #907.
 .
   * Move the debhelper expando to immediately precede exit in maintainer
     scripts, except where (as in the case of xdm and xfs), we use flag files
     that indicate when the installation is over.  In those cases, place the
     expando immediately before removal of such files.
 .
   * Add copyright notice and GPL license boilerplate to init scripts.
 .
   * Enhance xserver-common's preinst script to support upgrades from package
     versions between 4.0.1-6 and 4.2.1-10 (thanks, Brian Sammon).
     (Closes: #267503)
 .
   * Update patch #087 (XPM library security fixes) to revert regressions in
     functionality caused by overly aggressive validation of filespec strings
     in OpenReadFile() and OpenWriteFile().  (Closes: #286164)
 .
   * Add __attribute__ ((packed)) to declaration of XChar2b structure in
     Xlib.h, for GCC/ARM systems only.  This is a kludge to work around a bad
     design decision in the GCC ARM ABI, and has been discussed with Jim
     Gettys, Keith Packard, and Phil Blundell.  Thanks to Nicolas George and
     Gaëtan LEURENT for bringing this issue to my attention.  (Closes: #285396)
 .
   * Fix the "Advanced" monitor selection method in xserver-xfree86's config
     script to use the monitor sync ranges autodetected by read-edid, if
     available.  Thanks to Jay Birkenbilt for the patch.  (Closes: #229850)
 .
   * Reimplement mkdirhier and rewrite its manual page.
     + No longer adds extraneous leading slashes to filespecs.
       (Closes: #141347)
     + No longer creates spurious levels of directory hierarchy.
       (Closes: #232357)
 .
   * Grab patch from X.Org CVS (via Jan Kreuzer) to increase DDC retry delay a
     little bit, which permits DDC probing to succeed on some hardware
     configurations where it would otherwise fail.  Thanks, Jan!
     (Closes: #291243)
 .
   * Update FAQ entry "What is the story with XFree86 3.x?" to mention the Xsun
     X server packages.
 .
   * Stop using the "local" keyword in /bin/sh scripts -- it turns out "local"
     is not POSIX, but posh -n won't tell you that as it doesn't do a syntax
     parse on function bodies, which is the only place that keyword makes
     sense.  Comment out this usage instead of removing it as a means of
     stoking my likely-futile hopes that the Debian Policy Manual will carve
     out another exception to POSIX compliance for /bin/sh scripts in this
     area.  A language with only global scope for variables scarcely bears
     thinking about.  Thanks to Clint Adams for pointing out this unfiled RC
     bug, and to Steve Langasek for hounding me incessantly about it.
 .
   * Replace post-processed comments with pre-processed ones in patch #096;
     this quiets build-time warnings.  Also document why this patch is not yet
     suitable for submission to upstream.
 .
   * In xserver-xfree86's config script, if the discover, mdetect, or get-did
     (from the read-edid package) commands are not available, set the
     corresponding autodetection question to false and mark it as seen.  That
     way, if one of the hardware detection packages is subsequently installed,
     the user is not confusingly shown a "do autodection?" debconf question,
     and then nothing done about the answer.
 .
   * Fix validate-posix-sh script to stop pretending that ash and dash are
     different shells -- in Debian, they're not.
 .
   * Apply patch from Steve Langasek to drop the xprt package, and stop
     building the Xprt X server, since this functionality did not work in any
     version of XFree86 up to 4.3.0, and has moved to the xprt-xprintorg
     package.  (The client-side Xp library is still built.)  Thanks, Steve!
     + Update patch #003 to #define XprtServer NO and BuildXprintLib YES on
       Debian systems.  Resync patches #004, #099c, #099s, and #600.
     + Update rules file to stop turning off the build of Xprt in the server
       debug target, since that's now redundant.
     + Update MANIFEST files to reflect the fact that Xprt is no longer built.
     + Remove xprt package's stanza from debian/control.
     + Remove debian/xprt.install debhelper file.
 .
   * Remove delcaration of non-DFSG-freeness of the Compugraphic and Adobe
     fonts (shipped as part of the Xprt server) from debian/copyright.  Update
     the prune-non-free script to stop removing these files from the upstream
     archive.  Roland Mainz has argued fairly persuasively on the debian-x
     mailing list that the fonts were in fact freely licensed.  In the event
     Mr. Mainz is wrong, the point is pretty close to void, since 1) Xprt is
     not being built or shipped anymore; 2) this change does not restore the
     files in question to the .orig.tar.gz; 3) the X Strike Force doesn't
     anticipate shipping these files in the future X.Org packages, either.
 .
   * Update patch #071 to be sure to pass the mprotect() in
     ElfCollectSections() a page-aligned request (as the other use of
     mprotect(), in ELFCreateGot(), already does).  This reportedly prevents
     SEGVs in the X server's ELF object loader on AMD64 systems.  Thanks to
     Piotr Kaczuba for this information.  (Closes: #277699 (again))
 .
   * Add patch #099v by Guillem Jover to fix a SEGV in font server code
     shared between xfs and the X server.  Thanks, Guillem!  (Closes: #294320)
 .
   * Migrate the bug scripts to the more sophisticated world order now in use.
     + Move current scripts from /usr/share/bug/$PACKAGE to
       /usr/share/bug/$PACKAGE/script.
 .
   * Write and ship a "presubj" bug message for the xserver-xfree86 package
     (also used by xserver-xfree86-dbg).
 .
   * Add two entries to the FAQ:
     + How can I help debug the XFree86 X server?
     + How can I help debug 3D acceleration problems?
Files: 
 0630663f3eb37f268a892c7ed8330a21 2638 x11 optional xfree86_4.3.0.dfsg.1-11.dsc
 db638d173c1be69c68b67e22b9aadca6 3600928 x11 optional xfree86_4.3.0.dfsg.1-11.diff.gz
 3dca9967442e0dd3ad67da90b939afa4 155668 libdevel optional pm-dev_4.3.0.dfsg.1-11_all.deb
 10a91aec9ab95cb195e58f4a809d4a3e 212674 libdevel optional x-dev_4.3.0.dfsg.1-11_all.deb
 22eab1a6b375810ad5f6b05318628737 4543288 x11 optional xfonts-100dpi_4.3.0.dfsg.1-11_all.deb
 86593a58ed8bc2f326431727332388a2 8436630 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-11_all.deb
 246f31e1d8034d07e91169ea82de8560 4032216 x11 optional xfonts-75dpi_4.3.0.dfsg.1-11_all.deb
 91d5ce68a04452c48b0157a8c22ebad1 7329510 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-11_all.deb
 47b91dec1eb843692e5e97ee70b92cd9 5543292 x11 optional xfonts-base_4.3.0.dfsg.1-11_all.deb
 d6df81364925d53497a3979ba3136eba 1205902 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-11_all.deb
 e2cc730266bfb3ce8e7dce41ac8526d0 548264 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-11_all.deb
 6d0e887e1f2735348ce9331ed940f7d1 896974 x11 optional xfonts-scalable_4.3.0.dfsg.1-11_all.deb
 bc3da5eb5dfdf0a1894a6fa171007c85 808614 x11 optional xfree86-common_4.3.0.dfsg.1-11_all.deb
 dce731d7f0af54fb10d89b29f34ece64 422940 libs optional xlibs_4.3.0.dfsg.1-11_all.deb
 bfb24014861c239313bace0526657e72 902860 libs optional xlibs-data_4.3.0.dfsg.1-11_all.deb
 b358946903fcabc1882c2745e6869d2c 5831390 x11 optional xspecs_4.3.0.dfsg.1-11_all.deb
 45ec1cf2c1c38fb1835cd593db2c0db9 154964 x11 optional x-window-system_4.3.0.dfsg.1-11_all.deb
 efe3d161cc3a66abe28b1dd4c6b81aee 154826 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-11_all.deb
 d536c7d6972a204c756718d836b62cb4 154812 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-11_all.deb
 8acd66434f9d8cc04092bcedb081bb2a 154878 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-11_all.deb
 9f60bc4ed2f120ae6ce1b12a359ea946 154880 oldlibs extra xlibs-dev_4.3.0.dfsg.1-11_all.deb
 a9322709c4b524d360680fd55a15390e 154784 oldlibs extra xlibs-pic_4.3.0.dfsg.1-11_all.deb
 a004f02e24ee2b95ede3f62b8517fa63 255390 x11 optional lbxproxy_4.3.0.dfsg.1-11_powerpc.deb
 9744027551fddf7d3427e476c10590e1 292992 libs optional libdps1_4.3.0.dfsg.1-11_powerpc.deb
 7d7a34787da88fc811b1f3b9896f97f6 1130858 libdevel extra libdps1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 eb7dd20d57d308c704d77863f68455e8 359610 libdevel optional libdps-dev_4.3.0.dfsg.1-11_powerpc.deb
 ebc06b6ffd7162f257dd82a76917b6c8 200538 libs optional libice6_4.3.0.dfsg.1-11_powerpc.deb
 de1166bc16aa6412121247cce35016f0 401000 libdevel extra libice6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 7111bbd1b2fd6e305d603a6bc9dccdc9 206114 libdevel optional libice-dev_4.3.0.dfsg.1-11_powerpc.deb
 23f70a60ed8e6bf85374bf14c40948bb 178772 libs optional libsm6_4.3.0.dfsg.1-11_powerpc.deb
 c37e217bdf8aa65e896afffe5a5d9dc7 246480 libdevel extra libsm6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 6cc071aed5eff50826acbc853caddb59 174406 libdevel optional libsm-dev_4.3.0.dfsg.1-11_powerpc.deb
 d13e2d6a76c4603854754153d8f6dcb3 734092 libs optional libx11-6_4.3.0.dfsg.1-11_powerpc.deb
 344400b55fe5a7fd97515bd19b7ffcc5 15240754 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 b57d11f0e3f34a7856188b1e895d221e 1396218 libdevel optional libx11-dev_4.3.0.dfsg.1-11_powerpc.deb
 813589f7f1fcd607b629ec296f9bbcca 284302 libs optional libxaw6_4.3.0.dfsg.1-11_powerpc.deb
 448da5df4b0d4c6c7ef1b701d2498d87 1331774 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 d9c91b2feea4573dd465c13e75b88dd7 437340 libdevel extra libxaw6-dev_4.3.0.dfsg.1-11_powerpc.deb
 5931836d450ae5d43121bac13f3fe7d6 339374 libs optional libxaw7_4.3.0.dfsg.1-11_powerpc.deb
 4b323d1d0d7e0431692dc78e8280ebfc 1509932 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-11_powerpc.deb
 21b28e041e705887875f21481599e6a8 437244 libdevel optional libxaw7-dev_4.3.0.dfsg.1-11_powerpc.deb
 70bcd61e98bd239135ffe622befd165d 186524 libs optional libxext6_4.3.0.dfsg.1-11_powerpc.deb
 43cd0e0cb0b21e4eeef05bf32d86fe1b 720348 libdevel extra libxext6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 fa06e44effbcf5bb249e307448fda095 245846 libdevel optional libxext-dev_4.3.0.dfsg.1-11_powerpc.deb
 85c3e745a29e0c84678cdde33f740aa4 188084 libs optional libxft1_4.3.0.dfsg.1-11_powerpc.deb
 2fc28f5c6469bf9d9f8d83a653443756 688550 libdevel extra libxft1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 69528fd282c8df5020895808b72e6311 177850 libs optional libxi6_4.3.0.dfsg.1-11_powerpc.deb
 bb01828033d137651133c1f349b2c23a 1853148 libdevel extra libxi6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 2629968bdfcbaa45e24c5788ffe67d6c 228868 libdevel optional libxi-dev_4.3.0.dfsg.1-11_powerpc.deb
 990d195d535305a54d732a162e585d34 207908 libs optional libxmu6_4.3.0.dfsg.1-11_powerpc.deb
 c30d2d6a611b55a1548d880bb2e7b582 1003514 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 39390a651876b1441985e86357fcb157 221448 libdevel optional libxmu-dev_4.3.0.dfsg.1-11_powerpc.deb
 8f643d46248105b476e06c350b45dd03 169720 libs optional libxmuu1_4.3.0.dfsg.1-11_powerpc.deb
 102709074e9c406cc2c0ec4d8722c5fd 231418 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 cc1bd55798809915078ea460b07ee348 159964 libdevel optional libxmuu-dev_4.3.0.dfsg.1-11_powerpc.deb
 c864ea1ac42e49d8d8134103711c3299 176972 libs optional libxp6_4.3.0.dfsg.1-11_powerpc.deb
 03bbfb1e3b17c0491624efadc994d29c 827982 libdevel extra libxp6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 025973e05aef682803c36b252629f6ff 177032 libdevel optional libxp-dev_4.3.0.dfsg.1-11_powerpc.deb
 1955664134f3e4441e18b0e3a5f9ff5b 194496 libs optional libxpm4_4.3.0.dfsg.1-11_powerpc.deb
 5c1cc3474a1784e67612d9f482c6b55a 463538 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-11_powerpc.deb
 c3611e53b4992a187231020ba11e7579 194590 libdevel optional libxpm-dev_4.3.0.dfsg.1-11_powerpc.deb
 d0a95b68f3aaf8a7075441ee6f4b7b5d 169432 libs optional libxrandr2_4.3.0.dfsg.1-11_powerpc.deb
 c74a5597b6675e6f6b86930bd3662afd 217594 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-11_powerpc.deb
 551c211c85d592e3ba61e9c0a4a94bd1 167880 libdevel optional libxrandr-dev_4.3.0.dfsg.1-11_powerpc.deb
 2893972d1edfcfb488c72ea197d166a6 332162 libs optional libxt6_4.3.0.dfsg.1-11_powerpc.deb
 ca361dc92505d8339c21e21c862313bd 2245226 libdevel extra libxt6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 ddd07f7c97185d64df9095de98f29619 641244 libdevel optional libxt-dev_4.3.0.dfsg.1-11_powerpc.deb
 da00b2ad4b5bb035c77dabd5d9dbf05b 178296 libs optional libxtrap6_4.3.0.dfsg.1-11_powerpc.deb
 921cb1aece8cc1bb3033d92187ed15ef 549862 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 e2bf1c13a96f9fce92b99ef609f2fd93 182948 libdevel optional libxtrap-dev_4.3.0.dfsg.1-11_powerpc.deb
 91662d31b048acc2e8f1da3129ec8c0f 172930 libs optional libxtst6_4.3.0.dfsg.1-11_powerpc.deb
 6c089c55883910087731cc5e6e61d82b 275684 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 4d8d05c533c202eea083dc900992fd31 168166 libdevel optional libxtst-dev_4.3.0.dfsg.1-11_powerpc.deb
 7d5c65dc9a007e68b08610a5169c0aed 170518 libs optional libxv1_4.3.0.dfsg.1-11_powerpc.deb
 eb191dba35ff5d725ba5783fb45061a6 221322 libdevel extra libxv1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 c20780b55af8f13d7c141f465fee8ce0 187486 libdevel optional libxv-dev_4.3.0.dfsg.1-11_powerpc.deb
 c389f8212f5b7c7f01a8782aa185189d 180350 x11 optional proxymngr_4.3.0.dfsg.1-11_powerpc.deb
 71e9565946e7b33a71941dec537f437a 268786 x11 optional twm_4.3.0.dfsg.1-11_powerpc.deb
 bc3418cbba51d5f9e65bd55ad57d94f5 2108436 x11 optional xbase-clients_4.3.0.dfsg.1-11_powerpc.deb
 37de9196aab1e3fa9752cbac661cfbc0 304238 x11 optional xdm_4.3.0.dfsg.1-11_powerpc.deb
 cd8b069e7b6ed2eab9f3b2f19df65753 504380 x11 optional xfs_4.3.0.dfsg.1-11_powerpc.deb
 c92f735a26f14898b6697912a97a42e2 179114 x11 optional xfwp_4.3.0.dfsg.1-11_powerpc.deb
 4b29a73842ac3f8991438f4b4b3f429a 3080170 x11 optional xlibmesa-dri_4.3.0.dfsg.1-11_powerpc.deb
 577a38a01e5475d223b09adf8498d738 42030982 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-11_powerpc.deb
 d78f30a30071c4c7abd52b0152a70702 291912 libs optional xlibmesa-gl_4.3.0.dfsg.1-11_powerpc.deb
 9b0a621a0d29864fabcab38b4c35ff27 1901394 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-11_powerpc.deb
 bd3b91484f491079b59d2fe1cb2b6b88 730260 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-11_powerpc.deb
 0470671eb9493fd7dfe3878b03199cf8 368470 libs optional xlibmesa-glu_4.3.0.dfsg.1-11_powerpc.deb
 510a2c0026cc0d62c3fa034699155e8f 1609062 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-11_powerpc.deb
 cf8722824f19c78bcabb0739bf2b6969 464860 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-11_powerpc.deb
 c8e340da6d63700176e86cb3c6ca4f9e 686258 libs optional xlibosmesa4_4.3.0.dfsg.1-11_powerpc.deb
 71b86ca6e4ca825bca7813d6adc84d07 6679680 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-11_powerpc.deb
 f89554ba990c1508c87c4f55df6dfb97 804290 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-11_powerpc.deb
 42c9494ac8f4fbe2c91832feef275e84 881272 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-11_powerpc.deb
 feac1c7e3f251b558f0cac5d34027994 386384 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-11_powerpc.deb
 848366eca14e7e54b56bef47a7722f8f 229278 mail extra xmh_4.3.0.dfsg.1-11_powerpc.deb
 b2d8db8cb8d174e7b476d90e43e88176 1579180 x11 optional xnest_4.3.0.dfsg.1-11_powerpc.deb
 d718d6c4ca00cba360ffa81adb9033fc 330914 x11 optional xserver-common_4.3.0.dfsg.1-11_powerpc.deb
 d2df4ce190f80dfa8fcac6f2b0145033 5770470 x11 optional xserver-xfree86_4.3.0.dfsg.1-11_powerpc.deb
 1605c202db5179887891589cd96890a7 46771800 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-11_powerpc.deb
 0469ce0f29b4b23524f37814da604046 511828 x11 optional xterm_4.3.0.dfsg.1-11_powerpc.deb
 f24a0829b730d0b6ef97d3c39556a376 936672 x11 optional xutils_4.3.0.dfsg.1-11_powerpc.deb
 6f39c410b96590b0494c803af00fe03e 1725046 x11 optional xvfb_4.3.0.dfsg.1-11_powerpc.deb
 de8ddc09029dc5ce6ad4a0c93e074e5a 155042 x11 optional x-window-system-core_4.3.0.dfsg.1-11_powerpc.deb
 a4b4cbcd3e7ec37f2fa5d1baacd1f2b9 155096 x11 extra x-window-system-dev_4.3.0.dfsg.1-11_powerpc.deb
 2cfd75ecf590dbb0c062778a8baa1332 154842 oldlibs optional xlibmesa3_4.3.0.dfsg.1-11_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iEYEARECAAYFAkINzDsACgkQ6kxmHytGonwtTgCfRILetY81Ow7MteRzZ/LGpykn
6TYAnAiX1wtyqc9XInTjRT0NVIpZPSRZ
=Z6wE
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:47:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.